#ifndef SCENEVOLUME_H
#define SCENEVOLUME_H

#include <QObject>
#include <sceneobject.h>

class SceneVolume : public SceneObject
{

private:
    double lx,ly,lz;
    double dx,dy,dz;
    int width,height,depth;
public:
    SceneVolume(int width,int height, int depth, double dx, double dy, double dz);
    void draw(QGLShaderProgram *shader);
};

#endif // SCENEVOLUME_H
